diff -uNr poppler-0.5.4/configure poppler-0.5.4-new/configure
--- poppler-0.5.4/configure	2006-09-21 20:54:32.000000000 -0400
+++ poppler-0.5.4-new/configure	2007-01-25 21:36:45.000000000 -0500
@@ -24268,7 +24268,7 @@
 fi
 
 
-jpeg_incdirs="$includedir /usr/include /usr/local/include "
+jpeg_incdirs="$@PREFIX@/include"
 
 jpeg_incdir=NO
 for i in $jpeg_incdirs;
diff -uNr poppler-0.5.4/glib/Makefile.in poppler-0.5.4-new/glib/Makefile.in
--- poppler-0.5.4/glib/Makefile.in	2006-09-21 20:54:20.000000000 -0400
+++ poppler-0.5.4-new/glib/Makefile.in	2007-01-25 21:45:15.000000000 -0500
@@ -283,9 +283,9 @@
 	-DG_LOG_DOMAIN=\"Poppler\"		\
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/poppler			\
+	$(FREETYPE_CFLAGS)			\
 	$(cairo_includes)			\
 	$(POPPLER_GLIB_CFLAGS)			\
-	$(FREETYPE_CFLAGS)			\
 	$(cairo_includes)			
 
 stamp_files = stamp-poppler-enums.h
@@ -314,8 +314,8 @@
 
 libpoppler_glib_la_LIBADD = \
 	$(top_builddir)/poppler/libpoppler.la		\
-	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
+	$(POPPLER_GLIB_LIBS)				\
 	$(cairo_libs)
 
 libpoppler_glib_la_LDFLAGS = -version-info 1:0:0
@@ -325,8 +325,8 @@
 test_poppler_glib_LDADD = \
 	$(top_builddir)/poppler/libpoppler.la	\
 	libpoppler-glib.la			\
-	$(POPPLER_GLIB_LIBS)			\
 	$(FREETYPE_LIBS)			\
+	$(POPPLER_GLIB_LIBS)			\
 	$(cairo_libs)
 
 BUILT_SOURCES = \
diff -uNr poppler-0.5.4/glib/reference/Makefile.in poppler-0.5.4-new/glib/reference/Makefile.in
--- poppler-0.5.4/glib/reference/Makefile.in	2006-09-21 20:54:21.000000000 -0400
+++ poppler-0.5.4-new/glib/reference/Makefile.in	2007-01-25 21:45:49.000000000 -0500
@@ -283,14 +283,14 @@
 # e.g. INCLUDES=-I$(top_srcdir) -I$(top_builddir) $(GTK_DEBUG_FLAGS)
 # e.g. GTKDOC_LIBS=$(top_builddir)/gtk/$(gtktargetlib)
 INCLUDES = -I$(top_srcdir)/glib -I$(top_builddir)/glib	\
+	$(FREETYPE_CFLAGS) \
 	$(CAIRO_CFLAGS)					\
-	$(POPPLER_GLIB_CFLAGS)				\
-	$(FREETYPE_CFLAGS)
+	$(POPPLER_GLIB_CFLAGS)			
 
 GTKDOC_LIBS = $(top_builddir)/poppler/libpoppler.la	\
 	$(top_builddir)/glib/libpoppler-glib.la		\
-	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
+	$(POPPLER_GLIB_LIBS)				\
 	$(cairo_libs)
 
 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_CC = $(CC) $(INCLUDES) $(AM_CFLAGS) $(CFLAGS)
diff -uNr poppler-0.5.4/poppler/Makefile.in poppler-0.5.4-new/poppler/Makefile.in
--- poppler-0.5.4/poppler/Makefile.in	2006-09-21 20:54:23.000000000 -0400
+++ poppler-0.5.4-new/poppler/Makefile.in	2007-01-25 21:36:45.000000000 -0500
@@ -366,11 +366,11 @@
 INCLUDES = \
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/goo			\
+	$(FONTCONFIG_CFLAGS) \
+	$(FREETYPE_CFLAGS)			\
 	$(splash_includes)			\
 	$(cairo_includes)			\
-	$(arthur_includes)			\
-	$(FREETYPE_CFLAGS)			\
-	$(FONTCONFIG_CFLAGS)
+	$(arthur_includes)
 
 lib_LTLIBRARIES = libpoppler.la
 noinst_LTLIBRARIES = $(poppler_cairo)		\
@@ -379,12 +379,12 @@
 libpoppler_la_LIBADD = \
 	$(top_builddir)/goo/libgoo.la		\
 	$(top_builddir)/fofi/libfofi.la		\
+	$(FREETYPE_LIBS)			\
+	$(FONTCONFIG_LIBS) \
 	$(splash_libs)				\
 	$(cairo_libs)				\
 	$(libjpeg_libs)				\
-	$(zlib_libs)				\
-	$(FREETYPE_LIBS)			\
-	$(FONTCONFIG_LIBS)
+	$(zlib_libs)
 
 libpoppler_la_LDFLAGS = -version-info 1:0:0
 @ENABLE_XPDF_HEADERS_TRUE@poppler_includedir = $(includedir)/poppler
diff -uNr poppler-0.5.4/qt/Makefile.in poppler-0.5.4-new/qt/Makefile.in
--- poppler-0.5.4/qt/Makefile.in	2006-09-21 20:54:24.000000000 -0400
+++ poppler-0.5.4-new/qt/Makefile.in	2007-01-25 21:49:20.000000000 -0500
@@ -259,10 +259,10 @@
 INCLUDES = \
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/poppler			\
+	$(FREETYPE_CFLAGS)			 \
 	$(cairo_includes)			\
 	$(POPPLER_QT_CXXFLAGS)			\
-	$(SPLASH_CFLAGS)			\
-	$(FREETYPE_CFLAGS)			
+	$(SPLASH_CFLAGS)			
 
 poppler_includedir = $(includedir)/poppler
 poppler_include_HEADERS = \
@@ -282,8 +282,8 @@
 
 libpoppler_qt_la_LIBADD = \
 	$(top_builddir)/poppler/libpoppler.la	\
-	$(POPPLER_QT_LIBS)			\
-	$(FREETYPE_LIBS)
+	$(FREETYPE_LIBS) \
+	$(POPPLER_QT_LIBS)			
 
 libpoppler_qt_la_LDFLAGS = -version-info 1:0:0
 test_poppler_qt_SOURCES = \
@@ -292,8 +292,8 @@
 test_poppler_qt_LDADD = \
 	$(top_builddir)/poppler/libpoppler.la	\
 	libpoppler-qt.la			\
-	$(POPPLER_QT_LIBS)			\
-	$(FREETYPE_LIBS)
+	$(FREETYPE_LIBS) \
+	$(POPPLER_QT_LIBS)			
 
 all: all-am
 
diff -uNr poppler-0.5.4/test/Makefile.in poppler-0.5.4-new/test/Makefile.in
--- poppler-0.5.4/test/Makefile.in	2006-09-21 20:54:27.000000000 -0400
+++ poppler-0.5.4-new/test/Makefile.in	2007-01-25 21:49:50.000000000 -0500
@@ -257,8 +257,8 @@
 @BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	pdf_inspector
 
 @BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@cairo_includes = \
-@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(CAIRO_CFLAGS)				\
-@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(FREETYPE_CFLAGS)
+@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(FREETYPE_CFLAGS) \
+@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(CAIRO_CFLAGS)				
 
 INCLUDES = \
 	-I$(top_srcdir)				\
@@ -290,8 +290,8 @@
 pdf_inspector_LDADD = \
 	$(top_builddir)/poppler/libpoppler.la		\
 	$(top_builddir)/poppler/libpoppler-cairo.la	\
-	$(CAIRO_LIBS)					\
 	$(FREETYPE_LIBS)				\
+	$(CAIRO_LIBS)					\
 	$(GTK_TEST_LIBS)
 
 EXTRA_DIST = \
diff -uNr poppler-0.5.4/xpdfrc.poppler1 poppler-0.5.4-new/xpdfrc.poppler1
--- poppler-0.5.4/xpdfrc.poppler1	1969-12-31 19:00:00.000000000 -0500
+++ poppler-0.5.4-new/xpdfrc.poppler1	2007-01-25 21:36:45.000000000 -0500
@@ -0,0 +1,91 @@
+#========================================================================
+#
+# Sample xpdfrc file
+#
+# The Xpdf tools look for a config file in two places:
+# 1. ~/.xpdfrc
+# 2. in a system-wide directory, typically /usr/local/etc/xpdfrc
+#
+# This sample config file demonstrates some of the more common
+# configuration options.  Everything here is commented out.  You
+# should edit things (especially the file/directory paths, since
+# they'll likely be different on your system), and uncomment whichever
+# options you want to use.  For complete details on config file syntax
+# and available options, please see the xpdfrc(5) man page.
+#
+# Also, the Xpdf language support packages each include a set of
+# options to be added to the xpdfrc file.
+#
+# http://www.foolabs.com/xpdf/
+#
+#========================================================================
+
+#----- display fonts
+
+# These map the Base-14 fonts to the Type 1 fonts that ship with
+# ghostscript.  You'll almost certainly want to use something like
+# this, but you'll need to adjust this to point to wherever
+# ghostscript is installed on your system.  (But if the fonts are
+# installed in a "standard" location, xpdf will find them
+# automatically.)
+
+displayFontT1 Times-Roman		@PREFIX@/share/ghostscript/fonts/n021003l.pfb
+displayFontT1 Times-Italic		@PREFIX@/share/ghostscript/fonts/n021023l.pfb
+displayFontT1 Times-Bold		@PREFIX@/share/ghostscript/fonts/n021004l.pfb
+displayFontT1 Times-BoldItalic		@PREFIX@/share/ghostscript/fonts/n021024l.pfb
+displayFontT1 Helvetica		@PREFIX@/share/ghostscript/fonts/n019003l.pfb
+displayFontT1 Helvetica-Oblique	@PREFIX@/share/ghostscript/fonts/n019023l.pfb
+displayFontT1 Helvetica-Bold		@PREFIX@/share/ghostscript/fonts/n019004l.pfb
+displayFontT1 Helvetica-BoldOblique	@PREFIX@/share/ghostscript/fonts/n019024l.pfb
+displayFontT1 Courier			@PREFIX@/share/ghostscript/fonts/n022003l.pfb
+displayFontT1 Courier-Oblique		@PREFIX@/share/ghostscript/fonts/n022023l.pfb
+displayFontT1 Courier-Bold		@PREFIX@/share/ghostscript/fonts/n022004l.pfb
+displayFontT1 Courier-BoldOblique	@PREFIX@/share/ghostscript/fonts/n022024l.pfb
+displayFontT1 Symbol			@PREFIX@/share/ghostscript/fonts/s050000l.pfb
+displayFontT1 ZapfDingbats		@PREFIX@/share/ghostscript/fonts/d050000l.pfb
+
+# If you need to display PDF files that refer to non-embedded fonts,
+# you should add one or more fontDir options to point to the
+# directories containing the font files.  Xpdf will only look at .pfa,
+# .pfb, and .ttf files in those directories (other files will simply
+# be ignored).
+
+fontDir		/usr/local/fonts/bakoma
+
+#----- PostScript output control
+
+# Set the default PostScript file or command.
+
+psFile			"|lpr -Pmyprinter"
+
+# Set the default PostScript paper size -- this can be letter, legal,
+# A4, or A3.  You can also specify a paper size as width and height
+# (in points).
+
+psPaperSize		letter
+
+#----- text output control
+
+# Choose a text encoding for copy-and-paste and for pdftotext output.
+# The Latin1, ASCII7, and UTF-8 encodings are built into Xpdf.  Other
+# encodings are available in the language support packages.
+
+textEncoding		UTF-8
+
+# Choose the end-of-line convention for multi-line copy-and-past and
+# for pdftotext output.  The available options are unix, mac, and dos.
+
+textEOL		unix
+
+#----- misc settings
+
+# Enable t1lib, FreeType, and anti-aliased text.
+
+enableT1lib		yes
+enableFreeType		yes
+antialias		yes
+
+# Set the command used to run a web browser when a URL hyperlink is
+# clicked.
+
+urlCommand	"open 'openURL(%s)'"
